Bug 156097 - [NEW PORT] devel/svn2git-1.0.3: Imports svn repositories into git
Summary: [NEW PORT] devel/svn2git-1.0.3: Imports svn repositories into git
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-31 21:10 UTC by David Naylor
Modified: 2011-04-05 21:14 UTC (History)
0 users

See Also:


Attachments
file.shar (3.46 KB, text/plain)
2011-03-31 21:10 UTC, David Naylor
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor 2011-03-31 21:10:11 UTC
"Importer for one time conversion from svn to git."

The svn to git converter as used by KDE.  For practical examples on writing
rules for conversion, see: http://gitorious.org/svn2git/kde-ruleset

WWW: http://gitorious.org/svn2git/svn2git

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-03-31 21:10:26 UTC
Class Changed
From-To: sw-bug->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Max Brazhnikov freebsd_committer 2011-04-03 18:22:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 3 dfilter service freebsd_committer 2011-04-05 21:06:32 UTC
makc        2011-04-05 20:06:18 UTC

  FreeBSD ports repository

  Added files:
    devel/svn2git        Makefile distinfo pkg-descr 
    devel/svn2git/files  patch-src__src.pro 
  Log:
  Add new port devel/svn2git:
  
  The svn to git converter as used by KDE.  For practical examples on writing
  rules for conversion, see: http://gitorious.org/svn2git/kde-ruleset
  
  WWW: http://gitorious.org/svn2git/
  
  PR:             ports/156097
  Submitted by:   David Naylor <naylor.b.david at gmail.com>
  
  Revision  Changes    Path
  1.1       +38 -0     ports/devel/svn2git/Makefile (new)
  1.1       +2 -0      ports/devel/svn2git/distinfo (new)
  1.1       +29 -0     ports/devel/svn2git/files/patch-src__src.pro (new)
  1.1       +6 -0      ports/devel/svn2git/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Max Brazhnikov freebsd_committer 2011-04-05 21:14:29 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!